# H501_PriceInfoSpec Class Reference

`#include <h501.h>`

Inheritance diagram for H501_PriceInfoSpec:

List of all members.

## Public Types

enum | OptionalFields { e_validFrom, e_validUntil, e_hoursFrom, e_hoursUntil, e_priceElement, e_priceFormula }

## Public Member Functions

| H501_PriceInfoSpec (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_IA5String | m_currency
PASN_Integer | m_currencyScale
H501_GlobalTimeStamp | m_validFrom
H501_GlobalTimeStamp | m_validUntil
PASN_IA5String | m_hoursFrom
PASN_IA5String | m_hoursUntil
H501_ArrayOf_PriceElement | m_priceElement
PASN_IA5String | m_priceFormula

## Member Enumeration Documentation

enum H501_PriceInfoSpec::OptionalFields

Enumerator:

  e_validFrom |
  e_validUntil |
  e_hoursFrom |
  e_hoursUntil |
  e_priceElement |
  e_priceFormula |

## Constructor & Destructor Documentation

H501_PriceInfoSpec::H501_PriceInfoSpec | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_PriceInfoSpec::GetDataLength | ( |  | ) | const

PBoolean H501_PriceInfoSpec::Decode | ( | PASN_Stream & | strm | ) |

void H501_PriceInfoSpec::Encode | ( | PASN_Stream & | strm | ) | const

void H501_PriceInfoSpec::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_PriceInfoSpec::Compare | ( | const PObject & | obj | ) | const

PObject* H501_PriceInfoSpec::Clone | ( |  | ) | const

## Member Data Documentation

PASN_IA5String H501_PriceInfoSpec::m_currency

PASN_Integer H501_PriceInfoSpec::m_currencyScale

H501_GlobalTimeStamp H501_PriceInfoSpec::m_validFrom

H501_GlobalTimeStamp H501_PriceInfoSpec::m_validUntil

PASN_IA5String H501_PriceInfoSpec::m_hoursFrom

PASN_IA5String H501_PriceInfoSpec::m_hoursUntil

H501_ArrayOf_PriceElement H501_PriceInfoSpec::m_priceElement

PASN_IA5String H501_PriceInfoSpec::m_priceFormula

The documentation for this class was generated from the following file:

- h501.h